<%@ Page Language="VB" AutoEventWireup="false" ContentType="text/html" ResponseEncoding="gb2312" Inherits="b2bNet.user_checkcompany" %>
<script language="JavaScript">
var isUseful = <%=isUseful%>;
	
	if(document.all){
		/*for ie*/
		if (isUseful == 1){
	        parent.company_info.className = "notetrue";	        
	        if(parent.company_info_check.innerHTML.toLowerCase().indexOf("img") < 0){
	        parent.company_info_check.innerHTML = "&nbsp;<img src=\"../images/true1.gif\" width=\"19\" height=\"16\" align=\"absmiddle\">" + parent.company_info_check.innerHTML;
	        }
	        parent.company_info.innerHTML = "该公司可以注册。";
	        parent.company_info.className = "note";       
		} else if (isUseful == 2) {
			parent.company_info.innerHTML = "&nbsp;&nbsp;请输入公司名称";
	        parent.company_info.className = "noteawoke";
		} else if (isUseful == 3) {
			parent.company_info.innerHTML = "<h1>该公司已经注册，请重新输入<\/h1>";
	        parent.company_info.className = "noteawoke";  
	        if(parent.company_info_check.innerHTML.toLowerCase().indexOf("img") > 0 ){
	            var start =  parent.company_info_check.innerHTML.indexOf('>');
	            var end = parent.company_info_check.innerHTML.length;
	            parent.company_info_check.innerHTML = parent.company_info_check.innerHTML.substring(start +1,end);
	        }      
		} else if (isUseful == 4) {
            var htmlStr = "<h1>该公司已经注册，请重新输入<\/h1>";
            parent.company_info.innerHTML = htmlStr;
            parent.company_info.className = "noteawoke";
	        if(parent.company_info_check.innerHTML.toLowerCase().indexOf("img") > 0 ){
                var start =  parent.company_info_check.innerHTML.indexOf('>');
                var end = parent.company_info_check.innerHTML.length;
                parent.company_info_check.innerHTML = parent.company_info_check.innerHTML.substring(start +1,end);
            }
        }
	}else{
		/*for ff & opera*/
		var xxx=parent.document;
		if (isUseful == 1) {
			xxx.getElementById("company_info").innerHTML = "该公司可以注册";
	        xxx.getElementById("company_info").className = "notetrue";
	        xxx.getElementById("company_info").innerHTML = "填写正确。";
	        xxx.getElementById("company_info").className = "HintMsg";
		} else if (isUseful == 2) {
			xxx.getElementById("company_info").innerHTML = "请输入要检验的公司名称";
	        xxx.getElementById("company_info").className = "noteawoke";
		} else if (isUseful == 3 ) {
			xxx.getElementById("company_info").innerHTML = "该公司已经注册，请重新输入";
	        xxx.getElementById("company_info").className = "noteawoke";
		} else if (isUseful == 4) {
            var htmlStr = "该公司已经注册，请重新输入";
            xxx.getElementById("company_info").innerHTML = htmlStr;
            xxx.getElementById("company_info").className = "noteawoke";
        }
	}
	
</script>